> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List organization phone numbers



## OpenAPI

````yaml get /api/v1/phone-numbers
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/phone-numbers:
    get:
      tags:
        - Phone Numbers
      summary: List organization phone numbers
      parameters:
        - schema:
            type: string
            default: '100'
            description: Number of records to return (max 100)
          required: false
          description: Number of records to return (max 100)
          name: limit
          in: query
        - schema:
            type: string
            description: 'Cursor for pagination (format: createdAt_id)'
          required: false
          description: 'Cursor for pagination (format: createdAt_id)'
          name: cursor
          in: query
      responses:
        '200':
          description: Successfully retrieved organization phone numbers
          content:
            application/json:
              schema:
                type: object
                properties:
                  phoneNumbers:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        phoneNumber:
                          type: string
                        city:
                          type: string
                          nullable: true
                        state:
                          type: string
                          nullable: true
                        country:
                          type: string
                        ownership:
                          type: string
                          nullable: true
                          enum:
                            - FEATHER
                            - CLIENT
                        inboundAgent:
                          type: object
                          properties:
                            agentId:
                              type: string
                              nullable: true
                            agentName:
                              type: string
                              nullable: true
                        outboundAgents:
                          type: array
                          items:
                            type: object
                            properties:
                              agentId:
                                type: string
                                nullable: true
                              agentName:
                                type: string
                                nullable: true
                            required:
                              - agentId
                              - agentName
                        smsLinkedAgent:
                          type: object
                          properties:
                            agentId:
                              type: string
                              nullable: true
                            agentName:
                              type: string
                              nullable: true
                          required:
                            - agentId
                            - agentName
                        squad:
                          type: object
                          properties:
                            squadId:
                              type: string
                            squadName:
                              type: string
                          required:
                            - squadId
                            - squadName
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                      required:
                        - id
                        - phoneNumber
                        - city
                        - state
                        - country
                        - ownership
                        - inboundAgent
                        - outboundAgents
                        - createdAt
                        - updatedAt
                  pagination:
                    type: object
                    properties:
                      limit:
                        type: number
                        minimum: 1
                        maximum: 100
                        default: 10
                      nextCursor:
                        type: string
                required:
                  - phoneNumbers
                  - pagination
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 400
                  message:
                    type: string
                    default: Bad request
                  code:
                    type: string
                    enum:
                      - BAD_REQUEST
                    default: BAD_REQUEST
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````